#ifndef EDVHISTORYFIO_H
#define EDVHISTORYFIO_H

#include <glib.h>
#include "edvtypes.h"
#include "edvhistory.h"


extern void EDVHistoryLoadFromFile(
	const gchar *filename,
	edv_history_struct ***list, gint *total,
	gint (*progress_cb)(gpointer, gulong, gulong),
	gpointer client_data
);
extern void EDVHistoryAppendToStream(
	FILE *fp, const edv_history_struct *h_ptr
);
extern void EDVHistoryAppendToFile(
	const gchar *filename, const edv_history_struct *h_ptr
);
extern void EDVHistorySaveToFile(
	const gchar *filename,
	edv_history_struct **list, gint total,
	gint (*progress_cb)(gpointer, gulong, gulong),
	gpointer client_data
);


#endif	/* EDVHISTORYFIO_H */
